# Copyright (C) 2009 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
LOCAL_PATH := $(call my-dir)

common_SRC_FILES := \
	libxml2/SAX.c \
	libxml2/entities.c \
	libxml2/encoding.c \
	libxml2/error.c \
	libxml2/parserInternals.c \
	libxml2/parser.c \
	libxml2/tree.c \
	libxml2/hash.c \
	libxml2/list.c \
	libxml2/xmlIO.c \
	libxml2/xmlmemory.c \
	libxml2/uri.c \
	libxml2/valid.c \
	libxml2/xlink.c \
	libxml2/HTMLparser.c \
	libxml2/HTMLtree.c \
	libxml2/debugXML.c \
	libxml2/xpath.c \
	libxml2/xpointer.c \
	libxml2/xinclude.c \
	libxml2/nanohttp.c \
	libxml2/nanoftp.c \
	libxml2/DOCBparser.c \
	libxml2/catalog.c \
	libxml2/globals.c \
	libxml2/threads.c \
	libxml2/c14n.c \
	libxml2/xmlstring.c \
	libxml2/xmlregexp.c \
	libxml2/xmlschemas.c \
	libxml2/xmlschemastypes.c \
	libxml2/xmlunicode.c \
	libxml2/xmlreader.c \
	libxml2/relaxng.c \
	libxml2/dict.c \
	libxml2/SAX2.c \
	libxml2/legacy.c \
	libxml2/chvalid.c \
	libxml2/pattern.c \
	libxml2/xmlsave.c \
	libxml2/xmlmodule.c \
	libxml2/xmlwriter.c \
	libxml2/schematron.c
	
	common_C_INCLUDES += \
	$(LOCAL_PATH)/libxml2/include

# libxml
# =====================================================

include $(CLEAR_VARS)


LOCAL_PRELINK_MODULE := false
LOCAL_MODULE:= libvoguexml2
LOCAL_C_INCLUDES += $(LOCAL_PATH)/libxml2/include
LOCAL_SRC_FILES := $(common_SRC_FILES)
#LOCAL_C_INCLUDES += $(common_C_INCLUDES)
#LOCAL_SHARED_LIBRARIES += $(common_SHARED_LIBRARIES)
#LOCAL_CFLAGS += -fvisibility=hidden

include $(BUILD_SHARED_LIBRARY)

# TNC Client Library
# =====================================================
include $(CLEAR_VARS)
#INCLUDE_HEADERS = libtncdebug.h libtncxml.h libtnctncc.h libtnctncs.h libtnc.h libtncimc.h libtncimv.h tncif.h tncifimc.h tncifimv.h libtncarray.h libtnchash.h
LOCAL_C_INCLUDES += $(LOCAL_PATH)/libxml2/include $(LOCAL_PATH) 
LOCAL_SHARED_LIBRARIES=libvoguexml2
LOCAL_LDLIBS    :=-ldl -llog
LOCAL_MODULE    := libtnc
LOCAL_SRC_FILES := libtncxml.c libtnctncc.c libtnctncs.c libtncimc.c libtncimv.c libtnc_log.c base64.c mutex.c tncc_receive.c tncs_receive.c tncs_attributes.c tncs_bind.c libtncarray.c libtnchash.c  tncc_bind.c libtnc_wrap.c 
include $(BUILD_SHARED_LIBRARY)

# Sample IMC
# =====================================================
include $(CLEAR_VARS)
#INCLUDE_HEADERS = libtncdebug.h libtncxml.h libtnctncc.h libtnctncs.h libtnc.h libtncimc.h libtncimv.h tncif.h tncifimc.h tncifimv.h libtncarray.h libtnchash.h
LOCAL_C_INCLUDES += $(LOCAL_PATH)/libxml2/include $(LOCAL_PATH)
LOCAL_SHARED_LIBRARIES=libvoguexml2
LOCAL_LDLIBS    :=-ldl -llog
LOCAL_MODULE    := sampleimc
LOCAL_SRC_FILES := imcimv/sample_imc.c
include $(BUILD_SHARED_LIBRARY)

# Sample IMV
# =====================================================
include $(CLEAR_VARS)
#INCLUDE_HEADERS = libtncdebug.h libtncxml.h libtnctncc.h libtnctncs.h libtnc.h libtncimc.h libtncimv.h tncif.h tncifimc.h tncifimv.h libtncarray.h libtnchash.h
LOCAL_C_INCLUDES += $(LOCAL_PATH)/libxml2/include $(LOCAL_PATH) $(LOCAL_PATH)/osc
LOCAL_SHARED_LIBRARIES=libvoguexml2
LOCAL_LDLIBS    :=-ldl -llog
LOCAL_MODULE    := sampleimv
LOCAL_SRC_FILES := imcimv/sample_imv.c
include $(BUILD_SHARED_LIBRARY)

# TNC Client Test Tool
# =====================================================
include $(CLEAR_VARS)
#INCLUDE_HEADERS = libtncdebug.h libtncxml.h libtnctncc.h libtnctncs.h libtnc.h libtncimc.h libtncimv.h tncif.h tncifimc.h tncifimv.h libtncarray.h libtnchash.h
LOCAL_C_INCLUDES += $(LOCAL_PATH)/libxml2/include 
LOCAL_SHARED_LIBRARIES=libvoguexml2 libtnc
LOCAL_LDLIBS    :=-ldl -llog
LOCAL_MODULE    := libtncwrap
LOCAL_SRC_FILES := libtnc_wrap.c
include $(BUILD_SHARED_LIBRARY)